### Hierarchy

- Base

## Index

### Constructors

- constructor

### Accessors

- accountManager
- dataRequestManager
- externalServicesManager
- offerManager
- profileManager
- searchManager
- verifyManager
- walletManager

### Methods

- changeStrategy

## Constructors

### constructor

- new Base(nodeHost: string, siteOrigin: string, strategy?: RepositoryStrategyType, signerHost?: string, loggerService?: Logger): Base

- - Defined in Base.ts:177

  #### Parameters

  - ##### nodeHost: string

  - ##### siteOrigin: string

  - ##### Default value strategy: RepositoryStrategyType = RepositoryStrategyType.Postgres

  - ##### Default value signerHost: string = ""

  - ##### Optional loggerService: Logger

  #### Returns Base

## Accessors

### accountManager

- get accountManager(): AccountManager

- - Defined in Base.ts:273

  #### Returns AccountManager

### dataRequestManager

- get dataRequestManager(): DataRequestManager

- - Defined in Base.ts:281

  #### Returns DataRequestManager

### externalServicesManager

- get externalServicesManager(): ExternalServicesManager

- - Defined in Base.ts:297

  #### Returns ExternalServicesManager

### offerManager

- get offerManager(): OfferManager

- - Defined in Base.ts:285

  #### Returns OfferManager

### profileManager

- get profileManager(): ProfileManager

- - Defined in Base.ts:277

  #### Returns ProfileManager

### searchManager

- get searchManager(): SearchManager

- - Defined in Base.ts:289

  #### Returns SearchManager

### verifyManager

- get verifyManager(): VerifyManager

- - Defined in Base.ts:293

  #### Returns VerifyManager

### walletManager

- get walletManager(): WalletManager

- - Defined in Base.ts:269

  #### Returns WalletManager

## Methods

### changeStrategy

- changeStrategy(strategy: RepositoryStrategyType): void

- - Defined in Base.ts:265

  #### Parameters

  - ##### strategy: RepositoryStrategyType

  #### Returns void

Generated using TypeDoc